
Figure - Bug #117843
【IOVDEV-26084】-【IOV测试】【VC1】【0072】【台架】【EE环境】【副屏】副屏开启自动亮度，没有自
动同步中控的自动亮度
2023-05-09 16:36 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控：03.02.0076.C101 副屏：01.00.0094.c103

Resolution: FIXED Degrated: No

Severity: Major Verified Version: 0100

Reproducibility: Every time Fixed Version: 2023-05-10

Test Type: ST Root cause: 副屏自动亮度开关改变后，不会报告给中控

Description

【前提条件】：车机上电，台架有CANoe使用E2E发送光强信号给中控，接收到光强信号后，中控和副屏都开启自动亮度，副屏同步亮

度与中控端一致

【操作步骤】

1. 副屏关闭自动亮度，手动调节亮度

2.副屏开启自动亮度

【实际结果】

副屏亮度没有自动同步中控的自动亮度的亮度值

【期望结果】

副屏开启自动亮度后会自动同步中控的自动亮度的亮度值

History

#1 - 2023-05-09 16:38 - CDTS_TEST 王成

- File 副屏开启自动亮度，未自动同步中控的自动亮度.mp4 added

#2 - 2023-05-09 17:59 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Root cause set to 副屏自动亮度开关改变后，不会报告给中控

需要添加一个查询亮度接口正在讨论

#3 - 2023-05-10 13:51 - CD FW-程天颖

- Category set to CD-FW

#4 - 2023-05-10 14:28 - CD FW-廖涛

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#5 - 2023-05-10 18:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-06 1/3



199021 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Support sync ICDM brightness level when set brightness auto.TC-RID: 1201-0206101IssueID: TS-R-BUG-117843Change-Id:

I1339fb689505b3fa20726080fb21831a4dfcbe02

#6 - 2023-05-10 18:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199023 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Support sync ICDM brightness level when set brightness auto.TC-RID: 1201-0206101IssueID: TS-R-BUG-117843Change-Id:

Ifea0242fb12a14f1287cda1b34de2e89e9a1e809

#7 - 2023-05-10 18:18 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-10

■ Current conclusion

已处理，代码已入库。

■ My analysis

记录中控同步给副屏的亮度值，当副屏开启自动亮度后，使用中控同步给副屏的亮度值作为当前亮度值。

■ Next action

测试验证。

#8 - 2023-05-23 19:34 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD TEST-方永红

#9 - 2023-05-25 10:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.25

验证通过

#10 - 2023-05-25 10:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
- Verified Version set to 0100

Files

16点22分副屏开启自动亮度未同步中控的自动亮度.7z 211 KB 2023-05-09 CDTS_TEST 王成

副屏开启自动亮度，未自动同步中控的自动亮度.mp4 16.6 MB 2023-05-09 CDTS_TEST 王成
